<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'AtlassianCopy',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div :class="data.background ? 'purple-background' : ''">
    <SlpContainer class="atlassian-copy">
      <SlpRow>
        <SlpColumn class="left" :cols="6">
          <SlpTypography
            v-if="data.title"
            tag="h2"
            variant="heading2-bold"
            class="slp-mr-32 slp-mb-32"
          >
            {{ data.title }}
          </SlpTypography>
        </SlpColumn>
        <SlpColumn class="right" :cols="6">
          <div
            v-for="benefit in data.benefits"
            :key="benefit.icon"
            class="benefit"
          >
            <SlpIcon
              v-if="benefit.icon"
              :name="benefit.icon"
              alt="Icon"
              size="md"
              variant="marketing"
            />
            <SlpTypography variant="heading4-bold" tag="h4" class="slp-my-8">
              {{ benefit.title }}
            </SlpTypography>
            <SlpTypography v-if="benefit.description" variant="body" tag="p">
              {{ benefit.description }}
            </SlpTypography>
            <SlpButton
              v-if="benefit.button_url"
              :href="benefit.button_url"
              variant="tertiary"
              :data-ga-name="benefit.data_ga_name"
              :data-ga-location="benefit.data_ga_location"
            >
              {{ benefit.button_text }}
              <SlpIcon
                name="chevron-lg-right"
                variant="product"
                hex-color="#171321"
                alt="Chevron Right Icon"
              />
            </SlpButton>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.purple-background {
  background-color: $color-surface-800;
  position: relative;

  &::after {
    content: '';
    position: absolute;
    width: 200vw;
    height: 100%;
    top: 0;
    left: -50vw;
    z-index: -1;
    background: #f6f3fe;
  }

  .atlassian-copy {
    padding: $spacing-16;
    @media (min-width: $breakpoint-md) {
      padding: $spacing-96 0;
    }
  }
}
.atlassian-copy {
  margin-bottom: $spacing-96;

  @media (max-width: $breakpoint-md) {
    margin: $spacing-64 0;
  }
  .benefit {
    margin-bottom: $spacing-32;
    &:last-of-type {
      margin-bottom: $spacing-8;
    }
  }
}
</style>
